pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkg/43748 (Update devel/libstree to 0.4.3) wrote:
> Synopsis: Update devel/libstree to 0.4.3
> Over to maintainer.

The situation with libstree is kind of a mess.  The pkgsrc package is
currently at 0.4.0; the latest release is 0.4.2 (from 2006), and there
is a prerelease version 0.4.3-pre2 (from March 2007).  There does not
appear to have been any further development since then.

The 0.4.2 release is missing the HTML documentation present in both
0.4.0 and 0.4.3-pre2, and the 0.4.3-pre2 ChangeLog file does not
actually list any post-0.4.2 changes.

I'm reluctant to update to a prerelease version, especially given that
it seems unlikely to be followed by an actual release, and with the
author noting on the project home page that "Many of you have pointed
out bugs in the prerelease".

What is the underlying reason for the update request, and would an update
to the 0.4.2 release satisfy that need?
Andreas Gustafsson,

Home | Main Index | Thread Index | Old Index